# Define the kmod package name here.
%define kmod_name golden_tulip

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-279.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 17
Release: 0%{?dist}
Group:   System Environment/Kernel
License: GPL v2
Summary: %{kmod_name} kernel module(s)
URL:     http://sysbas.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  Linux(v%{version}).zip
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Patches.
Patch1: elrepo-%{kmod_name}-%{version}.patch

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for SystemBase I/O PCI cards.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0 -n %{kmod_name}-%{version}
chmod +x %{_builddir}/%{kmod_name}-%{version}/eh_async_mpdrv.v%{version}.sh
%{_builddir}/%{kmod_name}-%{version}/eh_async_mpdrv.v%{version}.sh --noexec --nox11 --nochown --target %{_builddir}/%{kmod_name}-%{version}/%{kmod_name}-%{version}
%{__cp} -a %{SOURCE5} .
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf
# echo "/usr/lib/rpm/redhat/find-requires | %{__sed} -e '/^ksym.*/d'" > filter-requires.sh
pushd %{kmod_name}-%{version}
%patch1 -p1
popd

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
pushd %{kmod_name}-%{version}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD
#    %{__make} -C async_multiport
#    %{__make} -C ioctl
popd

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
pushd %{kmod_name}-%{version}
%{__make} -C "${KSRC}" modules_install M=$PWD
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} ../kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ../GPL-v2.0.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ../SystemBase\ Linux\ PCI\(e\)\ MultiPort\ Installation\ Manual_v1.7.pdf %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
#    %{__install} -d %{buildroot}/usr/bin/
#    %{__install} async_multiport/sb_test %{buildroot}/%{_bindir}
#    %{__install} ioctl/sb_ioctl %{buildroot}/%{_bindir}
#    %{__install} multidrop_test/sb_test %{buildroot}/%{_bindir}/sb_multidrop
popd

# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%changelog
* Thu Sep 27 2012 Akemi Yagi <toracat@elrepo.org> - 17-0
- Initial el6 build.

* Mon Sep 24 2012 Maksim Gefke <ds_shadof@quickpay.ru> - 17-0
- Initial for elrepo.

